<template>
  <v-container class="fill-height">
    <v-row class="fill-height" justify="center">
      <v-col cols="12" md="10" class="fill-height">
        <post v-if="post" :post="post"></post>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Blog } from '@/static/blog/main';
import Post from '@/components/blog/Post.vue';
import { BlogPostResponse } from '@/domain/response/blog/BlogPostResponse';

@Component({
  components: {
    Post
  }
})
export default class PostView extends Vue {
  private get path(): string {
    return this.$route.params.path as string;
  }

  private get post(): BlogPostResponse | undefined {
    return this.$store.getters['blog/getByUrl'](this.path);
  }

  private async mounted(): Promise<void> {
    await this.$store.dispatch('blog/fetch');
  }
}
</script>

<style scoped></style>
